@charset "UTF-8";

header div.top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header div.top img {
    padding-top: 4px;
}

header div.bottom p {
    text-align: center;
}

header div.bottom p.tagline {
    color: var(--white);
    text-align: center;
    margin-top: 1.5em;
    margin-bottom: 16px;
}


header {
    background-image: url('../images/goldenPuppies.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: 30%;
    padding: 0 0 2em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

header>div {
    width: 100%;
    box-sizing: border-box;
}

/* header & footer tagline */
p.tagline {
    font-family: 'courgette';
    font-size: 2.85em;
    line-height: 0.85em;
}

@media screen and (min-width: 418px) {
    p.tagline {
        font-size: 3.5em;
    }
}

@media screen and (min-width: 492px) {
    p.tagline {
        font-size: 4em;
    }
}

footer div#contact div.columns {
    display: table;
}

footer div#contact div.columns>p {
    display: table-row;
}

footer div#contact div.columns>p>span {
    display: table-cell;
    padding: 8px 16px;
    vertical-align: middle;
}

footer div#contact div.columns>p>span:first-child {
    padding-left: 0px;
}

footer div#contact div.columns>p>.footer-contact-text {
    color: var(--white);
}

@media screen and (min-width: 450px) {
    footer div#contact div.columns>p>.footer-contact-text {
        font-size: 1.2em;
    }
}

footer div.tagline-container {
    background-image: url('../images/corgiegrass.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: bottom;
    height: 300px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

@media screen and (min-width: 600px) {
    footer div.tagline-container {
        height: 340px;
    }
}

@media screen and (min-width: 680px) {
    footer div.tagline-container {
        height: 400px;
    }
}

footer div.tagline-container div {
    max-width: 480px;
    margin: 0 auto;
}

footer div.tagline-container div p {
    text-align: center;
    margin: 0px;
}

footer div.tagline-container div p.tagline {
    color: var(--pallet-pink);
}

a.instant-quote-button {
    background-color: var(--pallet-light-pink);
    color: var(--black);
    height: fit-content;
    padding: 0.5em 1em;
    border-radius: 12px;
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: none;
    text-align: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: fit-content;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
    box-shadow: 1px 4px 0px var(--pallet-pink);
}

a.instant-quote-button b {
    font-weight: bold;
    color: var(--pallet-green-font);
}

a.instant-quote-button:hover {
    transform: translateY(-2px) translateX(-1px);
    box-shadow: 2px 6px 0px var(--pallet-pink);
}

a.instant-quote-button:active {
    transform: translateY(2px) translateX(1px);
    box-shadow: 0px 2px 0px var(--pallet-pink);
}